Creates a new article status list
Request Information
URI Parameters :
None.
Body Parameters :
article_status_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| article_status_id |
Foreign key of the article_status |
globally unique identifier |
Required |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| sales_organization_id | globally unique identifier |
Required |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "f67d3ba8-7370-4aac-ab7a-afa0dfb0163a",
"article_status_id": "890beef4-ac63-42d6-a6e1-19de5f79e2ba",
"article_id": "038d15ea-958b-4353-aeef-75d7fbc21421",
"article_code": "sample string 4",
"sales_organization_id": "79eebcc9-05a3-4a53-9384-59579dba1baa",
"modified_dateutc": "2026-11-03T20:06:02.7718512+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.